Page 1 of 1

I cannot install Elmer on ubuntu 18.04

Posted: 22 Nov 2018, 19:32
by jjmceld
Hello,

I would appreciate to know which are the steps to intall Elmer on ubuntu 18.04. I followed the commands that are suggested in the Elmer web page, which are:

$ sudo apt-add-repository ppa:elmer-csc-ubuntu/elmer-csc-ppa
$ sudo apt-get update
$ sudo apt-get install elmerfem-csc

However, this did not work, I do not find any folder with elmer archives and besides it does not work the commands Elmerfem and ElmerGUI. Also, it did not install the icon in the desktop of ubuntu.

Thanks in advance and looking forward to an answer,

Juan

Re: I cannot install Elmer on ubuntu 18.04

Posted: 22 Nov 2018, 20:32
by mzenker
Hi,

you should uninstall elmerfem-csc, which does not contain ElmerGUI, and install elmerfem-csc-eg instead.
The command Elmerfem does not exist in the Elmer package. It is ElmerGUI for the GUI and ElmerSolver if you write the sif (solver input file) with a text editor and start the solver from the command line.

HTH,
Matthias

Re: I cannot install Elmer on ubuntu 18.04

Posted: 26 Nov 2018, 01:08
by annier
Hi Juan,
It seems elmer non-gui version has been successfully installed in your Ubuntu system, from the abovementioned command.

Code: Select all

$ sudo apt-add-repository ppa:elmer-csc-ubuntu/elmer-csc-ppa
$ sudo apt-get update
$ sudo apt-get install elmerfem-csc
I use non-Gui version, and it is very efficient.
The Elmer libraries will be distributed in the different directories within /usr/ directory of the Ubuntu system, and so it will have different structure than the cmake based building of Elmer in a single install directory.
You can put a solver input file with filename anytest.sif in a directory anytest/, and run the following command (by being within the anytest directory):

Code: Select all

$ ElmerSolver anytest.sif
It will run successfully.
For running ElmerGUI along with default Elmer non-GUI (ElmerSolver command), I reiterate the words of Matthias. you need to install it explicitly using the package elmerfem-csc-eg
In general:

Code: Select all

$ sudo apt-add-repository ppa:elmer-csc-ubuntu/elmer-csc-ppa
$ sudo apt-get update
$ sudo apt-get install elmerfem-csc-eg
In your case, as you have already added launchpad package of Elmer into your Ubuntu system, what you need to do is:

Code: Select all

$ sudo apt-get remove elmerfem-csc
$ sudo apt-get install elmerfem-csc-eg


Yours Sincerely,
Anil Kunwar

Re: I cannot install Elmer on ubuntu 18.04

Posted: 04 Dec 2018, 21:25
by jjmceld
Hello Mathias and Anil,

Thank you for your answers. I installed elmerfem-csc-eg. However, when I type ElmerGUI, this is the message I get:

"ElmerGUI: error while loading shared libraries: libQt5Xml.so.5: cannot open shared object file: No such file or directory".

┬┐What could be the mistake? So finally I cannot open ElmerGUI.

Thank you and looking forward to an answer,

Juan

Re: I cannot install Elmer on ubuntu 18.04

Posted: 05 Dec 2018, 11:40
by mzenker
Hi,

see here: viewtopic.php?f=2&t=5607#p18970

HTH,
Matthias

Re: I cannot install Elmer on ubuntu 18.04

Posted: 06 Dec 2018, 02:33
by jjmceld
Hello Matthias,

Thank you for your answer. It worked: "sudo apt-get install libqt5xml5" to get to work ElmerGUI. However, I tried ElmerGrid with the following command line:

ElmerGrid 14 2 PMSM.msh

In order to converted to ElmerSolver but it shows the following error:


"Elmergrid saving data with method 2:
-------------------------------------
Saving mesh in ElmerSolver format to directory PMSM.
Could not create a result directory!"

Thank you and looking forward to an answer,

Juan.

Re: I cannot install Elmer on ubuntu 18.04

Posted: 06 Dec 2018, 11:48
by mzenker
Hi,

it looks like you do not have write access to the directory where your mesh is located.

HTH,
Matthias

Re: I cannot install Elmer on ubuntu 18.04

Posted: 06 Dec 2018, 19:32
by jjmceld
Hello Matthias,

I believe the directory has the permissions to write, as it is shown once I typed the command line, ls -l, which shows this information of the directory I am working with:

drwxrwxrwx 2 jemp jemp 4096 oct 9 17:36 GMSH_FILES

I still do not find the mistake, any suggestions?

Thanks in advance and looking forward to an answer,

Juan.

Re: I cannot install Elmer on ubuntu 18.04

Posted: 06 Dec 2018, 19:43
by mzenker
Hmmm, strange. You have cd'ed into the directory before launching ElmerGrid?
Anyway, if you have ElmerGUI running, you can directly open a gmsh mesh with file->open.

HTH,
Matthias

Re: I cannot install Elmer on ubuntu 18.04

Posted: 06 Dec 2018, 21:49
by raback
Hi

What's your working directory (pwd)? You don't happen to have a file named PMSM? I remember there was has been problems sometimes when the path included spaces...

-Peter